<?php
/**
* URLマッパーを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
interface IURLMapper
{
	/**
	 * URLマッパー名
	 */
	public function getURLMapperName();

	/**
	 * URLマッパーを初期化する
	 */
	public function init( Config $config );

	/**
	 * URLをマッピングする
	 */
	public function mapURL( Request $request );
}
